# Retrieve a job

{% hint style="info" %}
This endpoint requires `jobs_r` or `jobs_rw` scope. Availability of candidates counters (total and per stage ones) requires `candidates_r` or `candidates_rw` scope and setting the query parameter candidates\_count to true. To display office attributes, it requires `offices_r`
{% endhint %}

## job info

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/jobs/:reference`

#### Path Parameters

| Name                                        | Type   | Description   |
| ------------------------------------------- | ------ | ------------- |
| reference<mark style="color:red;">\*</mark> | String | Job reference |

#### Query Parameters

| Name                | Type    | Description                                            |
| ------------------- | ------- | ------------------------------------------------------ |
| stages              | boolean | Returns job stages                                     |
| office              | boolean | Returns associated office description                  |
| candidates\_count   | boolean | Returns candidates counters (total and per stage ones) |
| application\_fields | boolean | Returns application fields                             |
| organization        | boolean | Returns organization fields                            |
| websites            | boolean | Returns websites where job is visible                  |

{% tabs %}
{% tab title="200 Success" %}

```
{
  "name" : "Fake Job 2",
  "external_reference" : "PROVIDER_REFERENCE2",
  "organization_reference" : "Pg4eV6k",
  "status" : "draft",
  "profile" : "Fake Job Profile",
  "apply_url" : "http://company.com/jobs/superjob/apply/",
  "company_description" : "Fake Company Description.",
  "contract_duration_min" : null,
  "experience_level" : "1_TO_2_YEARS",
  "department_id" : null,
  "cms_sites_references" : "wttj_fr,smgo_fr",
  "contract_duration_max" : null,
  "start_date" : "2016-09-01T00:00:00.000+02:00",
  "description" : "Fake Job Description.",
  "contract_type" : "FULL_TIME",
  "language": "en",
  "salary": {
    "min": "30000",
    "max": "40000",
    "currency": "EUR",
    "period": "yearly"
  },
  "remote" : "fulltime",
  "office_id" : 196,
  "reference" : "WTTJ_gld0A7L",
  "education_level" : "BAC_5",
  "stages" : [
    {
      "visible" : true,
      "reference" : "initial",
      "id" : 5395,
      "name" : "Nouveau",
      "candidates_count": 4
    },
    {
      "reference" : "refused",
      "visible" : true,
      "id" : 5396,
      "name" : "Refusé",
      "candidates_count": 2
    },
    {
      "id" : 5397,
      "name" : "À rencontrer",
      "reference" : null,
      "visible" : true,
      "candidates_count": 1
    },
    ...
  ],
  "candidates_count": 13,
  "created_at" : "2017-11-13T17:15:26.146+01:00",
  "updated_at" : "2017-11-13T17:15:26.146+01:00",
  "published_at" : null,
  "archived_at" : null,
  "websites" : [
     {
        "reference" : "wttj_fr",
        "name" : "Welcome to the Jungle",
        "url" : "http://preprod.welcometothejungle.co/companies/wttj/jobs/fake-job-2"
     },
    ...
  ],
  "application_fields": [
    {"name": "resume", "mode": "mandatory"},
    {"name": "portfolio", "mode": "disabled"},
    ...
  ],
  "organization": {
    "name": "wttj",
    "slug": "wttj",
    "description": "Lorem ipsum",
    "logo": "https://....."
  }
}
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/jobs/WTTJ_ZyDmzZ6" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d "stages=true" \
    -d "websites=true" \
    -d "candidates_count=true" \
    -d "application_fields=true
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/jobs-api/jobs/retrieve-a-job.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
